### Method

# EDataServer SoupSession new_message_from_uri

since: 3.46

#### Declaration [src]

    SoupMessage*
    e_soup_session_new_message_from_uri (
      ESoupSession* session,
      const gchar* method,
      GUri* uri,
      GError** error
    )

#### Description [src]

Creates a new `SoupMessage`, similar to soup_message_new_from_uri(), but also presets request headers with “User-Agent” to be “Evolution/version” and with “Connection” to be “close”.

See also e_soup_session_new_message().

Available since: 3.46

#### Parameters

`method`

  Type: `const gchar*`

  An HTTP method.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`uri`

  Type: `GUri`

  A `GUri` to use for the request.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `SoupMessage`

A new `SoupMessage`, or `NULL` on error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.